GDB (xrefs)

Public Attributes | List of all members
gnu_ifunc_fns Struct Reference

`#include "symtab.h"`

## Public Attributes
CORE_ADDR(* | gnu_ifunc_resolve_addr )(struct gdbarch *gdbarch, CORE_ADDR pc)
int(* | gnu_ifunc_resolve_name )(const char *function_name, CORE_ADDR *function_address_p)
void(* | gnu_ifunc_resolver_stop )(struct breakpoint *b)
void(* | gnu_ifunc_resolver_return_stop )(struct breakpoint *b)

## Detailed Description

Definition at line 1720 of file symtab.h.

## Member Data Documentation

## ◆ gnu_ifunc_resolve_addr

CORE_ADDR(* gnu_ifunc_fns::gnu_ifunc_resolve_addr) (struct gdbarch *gdbarch, CORE_ADDR pc)

Definition at line 1723 of file symtab.h.

## ◆ gnu_ifunc_resolve_name

int(* gnu_ifunc_fns::gnu_ifunc_resolve_name) (const char *function_name, CORE_ADDR *function_address_p)

Definition at line 1726 of file symtab.h.

## ◆ gnu_ifunc_resolver_return_stop

void(* gnu_ifunc_fns::gnu_ifunc_resolver_return_stop) (struct breakpoint *b)

Definition at line 1733 of file symtab.h.

## ◆ gnu_ifunc_resolver_stop

void(* gnu_ifunc_fns::gnu_ifunc_resolver_stop) (struct breakpoint *b)

Definition at line 1730 of file symtab.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.h